Main Page Alphabetical List Compound List File List Compound Members File Members

# functions.h File Reference

`#include <klineakconfig.h>`
`#include <kstddirs.h>`
`#include "klineakconfigui.h"`
`#include "defines.h"`
`#include "supportpriv.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <X11/Xlib.h>`
`#include <X11/XKBlib.h>`
`#include <X11/extensions/XKBfile.h>`

Go to the source code of this file.

## Compounds
struct | cfgList_tag
struct | cfgStruct
struct | EAKeyboard
struct | strEAkey
## Defines
#define | NR_SPECIALS 5
#define | EAK_EJECT "EAK_EJECT"
#define | EAK_VOLUP "EAK_VOLUP"
#define | EAK_VOLDOWN "EAK_VOLDOWN"
#define | EAK_MUTE "EAK_MUTE"
#define | EAK_SLEEP "EAK_SLEEP"
## Typedefs
typedef cfgList_tag | cfgList
typedef strEAkey | EAkey
## Enumerations
enum | cfgValueType { CFG_END, CFG_BOOL, CFG_STRING, CFG_INT, CFG_UINT, CFG_LONG, CFG_ULONG, CFG_STRING_LIST, CFG_FLOAT, CFG_DOUBLE }
enum | cfgFileType { CFG_SIMPLE, CFG_INI }
## Functions
int | parseconffile (void)
int | parsedeffile (void)
int | initEAK (void)
void | cleanKeylist (void)
int | cleanexit (void)
gboolean | backup_conffile (void)
gboolean | restore_conffile (void)
gboolean | save_conffile (void)
gint | get_lineakd_pid (void)
char * | cfgSectionNumberToName (int num)
int | refreshGUIdata (QWidget *widget)
int | refresh_kbtypes (QWidget *widget)
int | refresh_cdromdev (QWidget *widget)
int | refresh_kbimage (QWidget *widget)
int | refresh_keylist (QWidget *widget)
int | refresh_keycommand (QWidget *widget, int i)
int | refresh_specials (QWidget *widget)
QWidget * | add_specmenu_item (QWidget *menu, char *act, char *name, int add_callback)
int | is_special_action (char *command)
void | select_new_keyboard (QWidget *widget, gpointer data)
void | change_key_command (EAkey *thiskey, gchar *entrytext)
void | change_selectedkey_command (gchar *entrytext)
## Variables
int | nrkeyboards
char ** | longkbname
char * | kbtype
char * | cdromdev
gboolean | changing_text_from_signal
char * | DUMMY_STRING
int | selected_key
cfgStruct | confdata
cfgStruct | defdata
EAKeyboard | myEAK

## Define Documentation

#define EAK_EJECT "EAK_EJECT"

#define EAK_MUTE "EAK_MUTE"

#define EAK_SLEEP "EAK_SLEEP"

#define EAK_VOLDOWN "EAK_VOLDOWN"

#define EAK_VOLUP "EAK_VOLUP"

#define NR_SPECIALS 5

## Typedef Documentation

typedef struct cfgList_tag cfgList

typedef struct strEAkey EAkey

## Enumeration Type Documentation

enum cfgFileType

  | Enumeration values:
  CFG_SIMPLE |
  CFG_INI |

enum cfgValueType

  | Enumeration values:
  CFG_END |
  CFG_BOOL |
  CFG_STRING |
  CFG_INT |
  CFG_UINT |
  CFG_LONG |
  CFG_ULONG |
  CFG_STRING_LIST |
  CFG_FLOAT |
  CFG_DOUBLE |

## Function Documentation

QWidget* add_specmenu_item | ( | QWidget * | menu,
|  | char * | act,
|  | char * | name,
|  | int | add_callback
| ) |

gboolean backup_conffile | ( | void |  | ) |

char* cfgSectionNumberToName | ( | int | num | ) |

void change_key_command | ( | EAkey * | thiskey,
|  | gchar * | entrytext
| ) |

void change_selectedkey_command | ( | gchar * | entrytext | ) |

int cleanexit | ( | void |  | ) |

void cleanKeylist | ( | void |  | ) |

gint get_lineakd_pid | ( | void |  | ) |

int initEAK | ( | void |  | ) |

int is_special_action | ( | char * | command | ) |

int parseconffile | ( | void |  | ) |

int parsedeffile | ( | void |  | ) |

int refresh_cdromdev | ( | QWidget * | widget | ) |

int refresh_kbimage | ( | QWidget * | widget | ) |

int refresh_kbtypes | ( | QWidget * | widget | ) |

int refresh_keycommand | ( | QWidget * | widget,
|  | int | i
| ) |

int refresh_keylist | ( | QWidget * | widget | ) |

int refresh_specials | ( | QWidget * | widget | ) |

int refreshGUIdata | ( | QWidget * | widget | ) |

gboolean restore_conffile | ( | void |  | ) |

gboolean save_conffile | ( | void |  | ) |

void select_new_keyboard | ( | QWidget * | widget,
|  | gpointer | data
| ) |

## Variable Documentation

char* cdromdev

gboolean changing_text_from_signal

cfgStruct confdata

cfgStruct defdata

char* DUMMY_STRING

char* kbtype

char** longkbname

EAKeyboard myEAK

int nrkeyboards

int selected_key